Jump to content
Welcome to our new Citrix community!
  • 0

Server 2012 R2 LTSR 7.15 CU4 upgrade to 1912 LTSR


Chris Gundry

Question

Hi all,

 

We currently have a farm that is run completely on Server 2012 R2 LTSR 7.15 CU4. So that is the infrastructure components like StoreFront and DDCs as well as VDAs that are all on Server 2012 R2 and LTSR 7.15 CU4.

 

Due to increased use of video and things like MS Teams, we want to look at the new redirection options that came in 7.16+. The goal is to offload video processing to client devices. I did some tests in 7.15 using internally hosted video and the Citrix hosted video and the results are impressive, almost no CPU load on the VDA and smooth video using the client CPU instead. But from what I have read, externally hosted sites, where you cannot tag the site cannot be handled in this way and instead need a different method which is only in 7.16+.

 

From what I can see, everything 7.x (including 7.16) is now EOL/EOS, except for our 7.15 LTSR. So that means we need to move to the new naming conventions... I see there is a new LTSR called 1912, great. 

 

However, from what I can tell, this is not supported at all on 2012 R2. Is that true for the infrastructure components as well as the VDA? Even if I could upgrade all the infrastructure components to 1912, but leave the VDAs on 7.15 LTSR, but that won't help me with the redirection settings we want to look at...

 

If so then I assume my only options are:

Option 1

Do an in place OS upgrade of my infrastructure components to 2016+, then upgrade the Citrix component versions to 1912 LTSR

Build a new master image on 2016+ and install 1912 LTSR

 

Option 2

Build new infrastructure components on 2016+ and install 1912 LTSR

Build a new master image on 2016+ and install 1912 LTSR

 

Any other bright suggestions?

 

Many thanks

Link to comment

7 answers to this question

Recommended Posts

  • 0
1 hour ago, Chris Gundry said:

Now I'm really confused! I swore I saw it earlier and now I can't find where I saw it!

 

I think you did read this for the CR (Current-Release), which is Citrix Virtual Apps and Desktops 7 2003 right now.

Here are its system requirements: https://docs.citrix.com/en-us/citrix-virtual-apps-desktops/system-requirements.html

Server 2012r2 is not supported anymore.

 

The system requirements for 1912 LTSR: https://docs.citrix.com/en-us/citrix-virtual-apps-desktops/1912-ltsr/system-requirements.html

Server 2012r2 is still supported.

  • Like 1
Link to comment
  • 0

hey mate. I'm typing this from a full productional Citrix image running following versions:

 

image.png.5c3f4f22cc7e71e3d0a750bcf058561b.png

image.thumb.png.29052674f425e7f5a062ea2c915c8ac9.png

(1912 LTSR in case it's too small for you  to read)

 

Upgraded a while ago from 7.15 LTSR so no problem at all running this every day with the whole company on it. Hope that helps you. So just upgrade the software on your master image and test it out.

Link to comment
  • 0
2 hours ago, Dennis Parker said:

Can you provide where you found information about 2012R2 not being supported? Last I knew only 2008R2 was phased out.

 

I am running VDA and Infrastructure services on 2012R2 still. Looking to start upgrading very soon though, so it does work anyway.

Now I'm really confused! I swore I saw it earlier and now I can't find where I saw it! As you say now I can only see 2008 R2. Maybe I somehow miss read it, several times! If so I'm having a bad day! :/

Link to comment
  • 0
2 hours ago, Andy Vanderbeken said:

oh and make sure you get Citrix media engine 2.9 installed on all client devices (including home ones) that people want to do Citrix sessions with audio/video stuff from. Huge difference. We run multi user skype for business every day this way and it works really well after some tuning.

Awesome, thank you very much.

Link to comment
  • 0
11 hours ago, Monika Mundhaar said:

 

I think you did read this for the CR (Current-Release), which is Citrix Virtual Apps and Desktops 7 2003 right now.

Here are its system requirements: https://docs.citrix.com/en-us/citrix-virtual-apps-desktops/system-requirements.html

Server 2012r2 is not supported anymore.

 

The system requirements for 1912 LTSR: https://docs.citrix.com/en-us/citrix-virtual-apps-desktops/1912-ltsr/system-requirements.html

Server 2012r2 is still supported.

 

Looks like that must be what I did! Feel rather silly now. Well, at least there is now less work required! Thanks all

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...